Index: android/modules/ui/src/java/ti/modules/titanium/ui/TextAreaProxy.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- android/modules/ui/src/java/ti/modules/titanium/ui/TextAreaProxy.java	(date 1532597791000)
+++ android/modules/ui/src/java/ti/modules/titanium/ui/TextAreaProxy.java	(date 1536662853000)
@@ -41,6 +41,7 @@
 		TiC.PROPERTY_KEYBOARD_TYPE,
 		TiC.PROPERTY_MAX_LENGTH,
 		TiC.PROPERTY_PASSWORD_MASK,
+		TiC.PROPERTY_PATH,
 		TiC.PROPERTY_TEXT_ALIGN,
 		TiC.PROPERTY_VALUE,
 		TiC.PROPERTY_VERTICAL_ALIGN,
Index: android/modules/ui/src/java/ti/modules/titanium/ui/TextFieldProxy.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- android/modules/ui/src/java/ti/modules/titanium/ui/TextFieldProxy.java	(date 1532597791000)
+++ android/modules/ui/src/java/ti/modules/titanium/ui/TextFieldProxy.java	(date 1536662853000)
@@ -44,6 +44,7 @@
 		TiC.PROPERTY_KEYBOARD_TYPE,
 		TiC.PROPERTY_MAX_LENGTH,
 		TiC.PROPERTY_PASSWORD_MASK,
+		TiC.PROPERTY_PATH,
 		TiC.PROPERTY_TEXT_ALIGN,
 		TiC.PROPERTY_VALUE,
 		TiC.PROPERTY_VERTICAL_ALIGN,
Index: android/modules/ui/src/java/ti/modules/titanium/ui/widget/TiUIText.java
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- android/modules/ui/src/java/ti/modules/titanium/ui/widget/TiUIText.java	(date 1532597791000)
+++ android/modules/ui/src/java/ti/modules/titanium/ui/widget/TiUIText.java	(date 1536662853000)
@@ -104,8 +104,18 @@
 		this.field = field;
 
 		int tvId;
+
+		final String resourcePath = "layout.titanium_ui_edittext";
+		String path = null;
+
+		if (proxy.hasPropertyAndNotNull(TiC.PROPERTY_PATH)) {
+			path = TiConvert.toString(proxy.getProperty(TiC.PROPERTY_PATH));
+		}
+		if (path == null || path.isEmpty()) {
+			path = resourcePath;
+		}
 		try {
-			tvId = TiRHelper.getResource("layout.titanium_ui_edittext");
+			tvId = TiRHelper.getResource(path);
 		} catch (ResourceNotFoundException e) {
 			if (Log.isDebugModeEnabled()) {
 				Log.e(TAG, "XML resources could not be found!!!");
